# $Id: module.mk,v 1.4 2001/04/03 23:22:37 mg Exp $

ifndef SCRIPTDIR
SCRIPTDIR := scripts
endif

CHARMAPS := $(patsubst %,$(SCRIPTDIR)/%,cp1257 cp773 cp775 lat4 lat6 lat7 \
                                       cp437 lat1 lat9)
CYRCHARMAPS := $(patsubst %,$(SCRIPTDIR)/%,cp1251 cp771 koi8-r)

SCRIPTS := $(CHARMAPS) $(CYRCHARMAPS)

TARGETS += $(SCRIPTS)
DISTFILES += $(SCRIPTS) $(patsubst %,$(SCRIPTDIR)/%,Makefile template.in template-cyr.in)

$(CHARMAPS): $(SCRIPTDIR)/template.in
	sed -e 's/@ENCODING@/$(notdir $@)/g'	\
	    -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g'		\
	    -e 's/@EMAIL@/$(EMAIL)/g'		\
	    -e 's/@WWW@/$(WWW)/g'		\
	    < $< > $@
	chmod a+x $@

$(CYRCHARMAPS): $(SCRIPTDIR)/template-cyr.in
	sed -e 's/@ENCODING@/$(notdir $@)/g'	\
	    -e 's/@VERSION@/$(VERSION)/g'	\
	    -e 's/@DATE@/$(DATE)/g'		\
	    -e 's/@EMAIL@/$(EMAIL)/g'		\
	    -e 's/@WWW@/$(WWW)/g'		\
	    < $< > $@
	chmod a+x $@
